Module tdlight.api
Package it.tdlight.jni

# Class TdApi.TextEntityTypeMediaTimestamp

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.TextEntityType
it.tdlight.jni.TdApi.TextEntityTypeMediaTimestamp

Enclosing class:
  TdApi

public static final class TdApi.TextEntityTypeMediaTimestamp extends TdApi.TextEntityType
A media timestamp.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`mediaTimestamp`
Timestamp from which a video/audio/video note/voice note playing must start, in seconds.

## Constructor Summary

Constructors
Constructor
Description
`TextEntityTypeMediaTimestamp()`
A media timestamp.
`TextEntityTypeMediaTimestamp(int mediaTimestamp)`
A media timestamp.
`TextEntityTypeMediaTimestamp(DataInput input)`
A media timestamp.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### mediaTimestamp

public int mediaTimestamp
Timestamp from which a video/audio/video note/voice note playing must start, in seconds. The media can be in the content or the web page preview of the current message, or in the same places in the replied message.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### TextEntityTypeMediaTimestamp

public TextEntityTypeMediaTimestamp()
A media timestamp.

### TextEntityTypeMediaTimestamp

public TextEntityTypeMediaTimestamp(int mediaTimestamp)
A media timestamp.

Parameters:
  `mediaTimestamp` - int Timestamp from which a video/audio/video note/voice note playing must start, in seconds. The media can be in the content or the web page preview of the current message, or in the same places in the replied message.

### TextEntityTypeMediaTimestamp

public TextEntityTypeMediaTimestamp(DataInput input) throws IOException
A media timestamp.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`